#ifndef __CALLBACKS_H
#define __CALLBACKS_H

void gnapster_exit_cb();
FILE *open_servers(int);
void add_dlg_cb(GtkWidget *, char *);
void edit_dlg_cb(GtkWidget *, NAP_SERVER *);
void browse_dlg_connect_cb();
void browse_dlg_cancel_cb();
void browse_dlg_add();
void browse_dlg_edit();
void browse_dlg_delete();
void browse_dlg_button_cb();
void browse_dlg_refresh(GtkWidget *, char *);
void populate_browse_dlg_clist();
void browse_opennap_cb();
void connect_official_cb();
void switch_page_cb(GtkWidget *, GtkNotebookPage *, int, gpointer);
void build_list_cb();
void update_list_cb();
void join_chan_cb(GtkWidget *, gpointer);
void part_chan_cb(GtkWidget *, gpointer);
void cddb_get();
void cddb_click_cb();
void menu_popup_cb();
void cddb_activate_cb();
void console_activate_cb();
NAP_SEARCH *get_data(const void *);
int compare_file(GtkCList *, const void *, const void *);
int compare_user(GtkCList *, const void *, const void *);
int compare_size(GtkCList *, const void *, const void *);
int compare_bitrate(GtkCList *, const void *, const void *);
int compare_connection(GtkCList *, const void *, const void *);
void search_sort(GtkCList *, int);
void search_activate_cb();
void browse_user_menu(GtkWidget *);
void browse_user_menu_cb(GtkWidget *, gpointer);
void browse_user_cb();
void whois_user_menu_cb(GtkWidget *, gpointer);
void connect_cb();
void disconnect_cb();
void download_cb(GtkWidget *, gpointer);
void queue_cb(GtkWidget *, gpointer);
void start_queue_cb();
void stop_queue_cb();
void cancel_upload_cb();
void cancel_download_cb();
void cancel_remove_cb();
void cancel_queue_cb();
char *listint_to_str(int, int);
int liststr_to_int(char *);
void combo_changed(GtkWidget *, gpointer);
void preferences_changed_cb();
void preferences_button_cb(GtkWidget *, gint, gpointer);
void clicked_cb(GtkWidget *, int *);
void preferences_clicked_cb(GtkWidget *, int *);
void preferences_cb();
void build_dlg_cancel_cb();
void about_cb();

#endif /* __CALLBACKS_H */
